<!doctype html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport"
          content="width=device-width, user-scalable=no, initial-scale=1.0, maximum-scale=1.0, minimum-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <title>Instagram</title>
    <script src="js/formUtils.js"></script>
    <script src="js/ajaxUtils.js"></script>
    <script src="js/home.js"></script>
    <link rel="stylesheet" href="css/reset.css">
    <link rel="stylesheet" href="css/bootstrap.min.css">
    <link rel="stylesheet" href="https://use.fontawesome.com/releases/v5.6.3/css/all.css" integrity="sha384-UHRtZLI+pbxtHCWp1t77Bi1L4ZtiqrqD80Kn4Z8NTSRyMA2Fd33n5dQ8lWUE00s/" crossorigin="anonymous">
    <link rel="stylesheet" href="css/user.css">
</head>
<body>
    <header class="bg-light mb-5">
        <div class="container">
            <nav class="navbar navbar-expand-lg justify-content-between">
                <a class="navbar-brand text-dark" href="#">
                    <img src="img/logo.png" width="30" height="30" alt="">
                    Instagram
                </a>
                <div>
                    <form id="navbar-search-form" class="form-inline my-2 my-lg-0">
                        <input id="navbar-search" name="userName" autocomplete="off" class="form-control form-control-sm mr-sm-2" type="search" placeholder="Search" aria-label="Search">
                    </form>
                    <div id="navbar-search-body" class="modal-body" style="display: none; position: absolute; left: 50%; transform: translateX(-50%); z-index: 2; height: 400px; width: 400px; background: white">

                    </div>


                </div>

                <div class="row">
                    <button data-toggle="modal" data-target="#create-post-modal" class="btn btn-primary btn-sm mr-3">Create Post</button>
                    <a href="/logout" class="btn btn-dark btn-sm">Log Out</a>
                </div>
            </nav>
        </div>
    </header>
    <div class="container posts-container">
        <div class="modal-body post-body p-0 d-none mb-5">
            <div class="row">
                <div class="col-7">
                    <div class="overflow-hidden position-relative" style="padding-bottom:100%;">
                        <img class="post-modal-image position-absolute cover-image" src="" alt="">
                    </div>
                </div>
                <div class="col-5 d-flex flex-column">
                    <div class="row mb-2 mt-2 align-items-center">
                        <div class="col-1 p-0">
                            <div class="overflow-hidden position-relative" style="padding-bottom:100%;">
                                <img class="post-user-photo position-absolute cover-image rounded-circle" src="" alt="">
                            </div>
                        </div>
                        <div class="col-10">
                            <span class="post-user-name mw-100 h4" style="word-wrap: break-word"></span>
                        </div>

                    </div>
                    <div class="row flex-nowrap">
                        <a class="post-modal-likes-add" href=""><i></i></a>
                        <span class="post-modal-likes font-weight-light w-100" ></span>
                    </div>
                    <div class="row" style="max-height: 100px;overflow-y: scroll; overflow-x:hidden;margin-right: 0">
                        <span class="mw-100 post-modal-text" style="word-wrap: break-word;" ></span>
                    </div>
                    <div class="post-modal-comments" style="overflow-y: scroll; overflow-x:hidden; max-height: 400px; margin-left: -15px"></div>
                    <div class="row mt-auto">
                        <form class="post-comment-form input-group w-75 mb-3">
                            <input class="post-comment-input w-100" style="border: none; outline:none;" type="text" name="commentText" placeholder="Add comment" aria-label="Add comment">
                        </form>
                    </div>
                </div>
            </div>
            <span class="post-modal-id d-none"></span>
        </div>
    </div>
</body>
</html>